#include <stdint.h>
#include <stdlib.h>

#include <spi.h>

int spi_tx_rx(struct spi_dev *dev, void *rx_buf, size_t rx_len,
	const void *tx_buf, size_t tx_len)
{
	if (!dev)
		return -1;

	return dev->ops->tx_rx(dev, rx_buf, rx_len, tx_buf, tx_len);
}
